Results 1 to 2 of 2

Thread: qmake and gdb

  1. #1

    Default qmake and gdb

    I have just installed openSuSE 13.2. qmake <qt4> generates a Makefile including

    $(TARGET): ui_Ledger.h $(OBJECTS)
    $(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
    { test -n "$(DESTDIR)" && DESTDIR="$(DESTDIR)" || DESTDIR=.; } && \
    (*) test $$(gdb --version | sed -e 's,[^0-9][^0-9]*\([0-9]\)\.\([0-9]\).*,\1\2,;q') -gt 72 && \
    gdb --nx --batch --quiet -ex 'set confirm off' -ex "save gdb-index $$DESTDIR" -ex quit '$(TARGET)' && \
    test -f $(TARGET).gdb-index && objcopy --add-section '.gdb_index=$(TARGET).gdb-index' \
    --set-section-flags \'.gdb_index=readonly' '$(TARGET)' '$(TARGET)' && \
    rm -f $(TARGET).gdb-indGNU gdb (GDB; openSUSE 13.2) 7.8exGNU gdb (GDB; openSUSE 13.2) 7.8 || \
    true

    The link operation works fine but the test in line (*) fails as 'gdb --version' starts with
    GNU gdb (GDB; openSUSE 13.2) 7.8
    test gets then mixed up with the sed output.

    Has 'gdb --version' changed? It looks as if sed is looking for the 7.8 and not as sed now produces 'GNU gdb (GDB; openSUSE 13.278'

    Is this a openSuSE or QT problem?


  2. #2

    Default Re: qmake and gdb

    Sounds like this, which apparently got fixed for 5.3.0: https://bugreports.qt.io/browse/QTBUG-34950
    Try to change the sed line to the one mentioned here:
    https://bugzilla.opensuse.org/show_bug.cgi?id=851105#c2

    Apparently this comes from /usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf, changing it there should "fix" qmake.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •